Generation Framework

## org.eclipse.gmf.graphdef.codegen
Interface StandaloneGenerator.Config

All Known Implementing Classes:
  StandaloneGenerator.ConfigImpl

Enclosing class:
  StandaloneGenerator

    public static interface StandaloneGenerator.Config

Method Summary
`java.lang.String` `getMainPackageName()`
`MapModeCodeGenStrategy` `getMapMode()`
`java.lang.String` `getPluginActivatorClassName()`
`java.lang.String` `getPluginActivatorPackageName()`
`java.lang.String` `getPluginFriendlyName()`
`java.lang.String` `getPluginID()`
`java.lang.String` `getPluginProviderName()`
`java.lang.String` `getRuntimeToken()`

Method Detail

### getPluginID

    java.lang.String getPluginID()

### getPluginFriendlyName

    java.lang.String getPluginFriendlyName()

### getPluginProviderName

    java.lang.String getPluginProviderName()

### getMainPackageName

    java.lang.String getMainPackageName()

### getPluginActivatorClassName

    java.lang.String getPluginActivatorClassName()

### getPluginActivatorPackageName

    java.lang.String getPluginActivatorPackageName()

### getMapMode

    MapModeCodeGenStrategy getMapMode()

### getRuntimeToken

    java.lang.String getRuntimeToken()

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.